Package org.drinkless.tdlib

# Class TdApi.UpdateTermsOfService

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateTermsOfService

Enclosing class:
  `TdApi`

public static class TdApi.UpdateTermsOfService extends TdApi.Update
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.TermsOfService`
  `termsOfService`
  The new terms of service.
  `String`
  `termsOfServiceId`
  Identifier of the terms of service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateTermsOfService()`
  New terms of service must be accepted by the user.
  `UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)`
  New terms of service must be accepted by the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### termsOfServiceId

    public String termsOfServiceId
    Identifier of the terms of service.

  - ### termsOfService

    public TdApi.TermsOfService termsOfService
    The new terms of service.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateTermsOfService

    public UpdateTermsOfService()
    New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

  - ### UpdateTermsOfService

    public UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)
    New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".
    Parameters:
      `termsOfServiceId` - Identifier of the terms of service.
      `termsOfService` - The new terms of service.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR